// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI64C200K/24DSI64C200K_linux_1.x_gsc_dn/utils/util_count.c $
// $Rev: 52653 $
// $Date: 2023-03-21 10:02:20 -0500 (Tue, 21 Mar 2023) $

// 24DSI64C200K: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	dsi64c200k_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely?
*
*		get		The results are reported here. This may be NULL.
*
*	Returned:
*
*		> 0		The number of devices found.
*		== 0	No devices were found.
*
******************************************************************************/

int dsi64c200k_count_boards(int verbose, s32* get)
{
	int	qty	= 0;
	int	ret;

	ret	= os_count_boards(verbose, &qty, dsi64c200k_open, dsi64c200k_read, dsi64c200k_close);

	if (get)
		get[0]	= qty;

	return(ret);
}


